%define upstream_name    Pod-Wrap
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Wrap pod paragraphs, leaving verbatim text and code alone
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This is a the Pod::Parser manpage subclass, based on the Pod::Stripper
manpage. It parses perl files, wrapping pod text, and leaving everything
else intact. It prints it's output to wherever you point it to (like you do
with the Pod::Parser manpage (and the Pod::Stripper manpage)).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.10.0-7.mga10
+ Revision: 2200395
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-6.mga9
+ Revision: 1805407
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-5.mga8
+ Revision: 1496828
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1270848
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1032413
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 949941
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 pterjan <pterjan> 0.10.0-1.mga5
+ Revision: 791920
- imported package perl-Pod-Wrap


* Sun Oct 19 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
